eID middleware |

# be::portugal::eid::PTEID_Config Class Reference

Class to access the config parameters. More...

Inheritance diagram for be::portugal::eid::PTEID_Config:

List of all members.

## Public Member Functions
override void | Dispose ()
| PTEID_Config (PTEID_Param Param)
| Create object to access parameter Param.
| PTEID_Config (string csName, string czSection, string csDefaultValue)
| Create object to access a string parameter.
| PTEID_Config (string csName, string czSection, int lDefaultValue)
| Create object to access a numerical parameter.
string | getString ()
| Return the string value (Throw exception for numerical parameter).
int | getLong ()
| Return the numerical value (Throw exception for string parameter).
void | setString (string csValue)
| Set the string value (Throw exception for numerical parameter).
void | setLong (int lValue)
| Set the numerical value (Throw exception for string parameter).

## Detailed Description

Class to access the config parameters.

## Constructor & Destructor Documentation

be::portugal::eid::PTEID_Config::PTEID_Config | ( | PTEID_Param | Param | ) | `[inline]`

Create object to access parameter Param.

be::portugal::eid::PTEID_Config::PTEID_Config | ( | string | csName,
|  | string | czSection,
|  | string | csDefaultValue |
| ) |  |  | `[inline]`

Create object to access a string parameter.

be::portugal::eid::PTEID_Config::PTEID_Config | ( | string | csName,
|  | string | czSection,
|  | int | lDefaultValue |
| ) |  |  | `[inline]`

Create object to access a numerical parameter.

## Member Function Documentation

override void be::portugal::eid::PTEID_Config::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Object.

int be::portugal::eid::PTEID_Config::getLong | ( |  | ) | `[inline]`

Return the numerical value (Throw exception for string parameter).

string be::portugal::eid::PTEID_Config::getString | ( |  | ) | `[inline]`

Return the string value (Throw exception for numerical parameter).

void be::portugal::eid::PTEID_Config::setLong | ( | int | lValue | ) | `[inline]`

Set the numerical value (Throw exception for string parameter).

void be::portugal::eid::PTEID_Config::setString | ( | string | csValue | ) | `[inline]`

Set the string value (Throw exception for numerical parameter).